org.apache.jmeter.visualizers

## Class TableSample

- java.lang.Object
- - org.apache.jmeter.visualizers.TableSample

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TableSample>

      public class TableSample
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Comparable<TableSample>

  Class to hold data for the TableVisualiser.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableSample()` Deprecated. for unit test code only
    `TableSample(long totalSamples, int sampleCount, long startTime, java.lang.String threadName, java.lang.String label, long elapsed, boolean success, long bytes, long sentBytes, long latency, long connect)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(TableSample o)`
    `boolean` | `equals(java.lang.Object o)`
    `long` | `getBytes()`
    `long` | `getConnectTime()`
    `long` | `getElapsed()`
    `java.lang.String` | `getLabel()`
    `long` | `getLatency()`
    `java.lang.String` | `getSampleNumberString()`
    `long` | `getSentBytes()`
    `long` | `getStartTime()`
    `java.lang.String` | `getStartTimeFormatted(java.text.Format format)`
    `java.lang.String` | `getThreadName()`
    `int` | `hashCode()`
    `boolean` | `isSuccess()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableSample

          @Deprecated
          public TableSample()

      Deprecated. for unit test code only

    - #### TableSample

          public TableSample(long totalSamples,
                             int sampleCount,
                             long startTime,
                             java.lang.String threadName,
                             java.lang.String label,
                             long elapsed,
                             boolean success,
                             long bytes,
                             long sentBytes,
                             long latency,
                             long connect)

  - ### Method Detail

    - #### getBytes

          public long getBytes()

    - #### getSampleNumberString

          public java.lang.String getSampleNumberString()

    - #### getElapsed

          public long getElapsed()

    - #### isSuccess

          public boolean isSuccess()

    - #### getStartTime

          public long getStartTime()

    - #### getStartTimeFormatted

          public java.lang.String getStartTimeFormatted(java.text.Format format)

      Parameters:
        `format` - the format to be used on the time
      Returns:
        the start time using the specified format Intended for use from Functors

    - #### getThreadName

          public java.lang.String getThreadName()

    - #### getLabel

          public java.lang.String getLabel()

    - #### compareTo

          public int compareTo(TableSample o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TableSample>`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getLatency

          public long getLatency()

      Returns:
        the latency

    - #### getConnectTime

          public long getConnectTime()

      Returns:
        the connect time

    - #### getSentBytes

          public long getSentBytes()

      Returns:
        the sentBytes

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.